Loading...
Searching...
No Matches
vspace::ZRef< T >::RefCounted Struct Reference

## Public Member Functions

| RefCounted ()

## Data Fields

internals::refcount_t | rc
char | data [sizeof(T)]

## Detailed Description

template<typename T>
struct vspace::ZRef< T >::RefCounted

Definition at line 1940 of file vspace.h.

## Constructor & Destructor Documentation

## RefCounted()

template<typename T>

vspace::ZRef< T >::RefCounted::RefCounted | ( |  | ) |

inline

Definition at line 1946 of file vspace.h.

: rc(1) {
}
vspace::ZRef::RefCounted::rc
internals::refcount_t rc
Definition vspace.h:1941

## Field Documentation

## data

template<typename T>

char vspace::ZRef< T >::RefCounted::data[sizeof(T)]

Definition at line 1945 of file vspace.h.

## rc

template<typename T>

internals::refcount_t vspace::ZRef< T >::RefCounted::rc

Definition at line 1941 of file vspace.h.

The documentation for this struct was generated from the following file:

- kernel/oswrapper/vspace.h